
.screen {
  position: fixed;
  top: 30vmin;
  left: 0;
  margin: auto;
  width: 24%;
  height: 100vh;
  overflow: hidden;
  z-index: 12;
}

nav {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 60px;
  background-color: rgb(20,20,20);
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.menu-container {
  position: relative;
  -webkit-transform: translateX(0);
  transform: translateX(0);
  -webkit-transition: -webkit-transform 0.4s ease-out;
  transition: -webkit-transform 0.4s ease-out;
  transition: transform 0.4s ease-out;
  transition: transform 0.4s ease-out, -webkit-transform 0.4s ease-out;
}

.view-submenu .menu-container {
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
}

ul {
  position: absolute;
  top: 60px;
  width: 100%;
  height: auto;
  color: #ededed;
  background-color: #1c1d22;
}

ul li a {
  opacity: 0;
  display: block;
  padding: 1em 1.4em;
  position: relative;
  cursor: pointer;

  -webkit-transform: translateY(12px);
  transform: translateY(12px);
  -webkit-transition: opacity 0.15s 0.1s ease-out, -webkit-transform 0.15s 0.1s ease-out;
  transition: opacity 0.15s 0.1s ease-out, -webkit-transform 0.15s 0.1s ease-out;
  transition: opacity 0.15s 0.1s ease-out, transform 0.15s 0.1s ease-out;
  transition: opacity 0.15s 0.1s ease-out, transform 0.15s 0.1s ease-out, -webkit-transform 0.15s 0.1s ease-out;
}

ul li.has-children span {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  padding: 12px 16px;
  text-indent: -9999px;
}

ul li.has-children span:after {
  content: "";
  position: absolute;
  top: 0;
  right: 12px;
  bottom: 0;
  margin: auto;
  padding: 4px;
  width: 0px;
  height: 0px;
  cursor: pointer;
  font-size: 0;
  border-bottom: 2px solid #ededed;
  border-right: 2px solid #ededed;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

ul li.has-children span:hover:after { border-color: #bababa; }

.menu {
  opacity: 0;
  -webkit-transition: background-color 0.25s ease-out, opacity 0.15s ease-out;
  transition: background-color 0.25s ease-out, opacity 0.15s ease-out;
}

.menu.is-visible { opacity: 1; }

.menu.is-visible li a {
  opacity: 1;
  -webkit-transform: translateY(0);
  transform: translateY(0);
}

.view-submenu .menu { background-color: #3e3e3e; }

.view-submenu .menu > li > a {
  opacity: 0;
  -webkit-transition: opacity 0.15s ease-out;
  transition: opacity 0.15s ease-out;
}

.submenu {
  position: absolute;
  top: 0;
  left: 100%;
  background-color: #1c1d22;

}

.submenu li { margin-left: 60px; padding: 0.7em; }

.hide-submenu {
  position: absolute;
  top: 0;
  left: 0;
  width: 60px;
  height: 100%;
  cursor: pointer;
  background-color: #313131;
  -webkit-transition: background-color 0.35s ease-out;
  transition: background-color 0.35s ease-out;
}

.hide-submenu:before {
  opacity: 0;
  content: "";
  position: absolute;
  top: 0;
  right: 12px;
  bottom: 0;
  margin: auto;
  padding: 4px;
  width: 6px;
  height: 6px;
  cursor: pointer;
  font-size: 0;
  border-bottom: 2px solid #ededed;
  border-right: 2px solid #ededed;
  -webkit-transform: rotate(135deg);
  transform: rotate(135deg);
  left: 0;
  right: -6px;
  -webkit-transition: opacity 0.1s ease-out;
  transition: opacity 0.1s ease-out;
}

.view-submenu .hide-submenu:before {
  opacity: 1;
  -webkit-transition: opacity 0.15s 0.3s ease-out;
  transition: opacity 0.15s 0.3s ease-out;
}

.toggle {
  position: absolute;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  top: 0;
  left: 1.6em;
  bottom: 0;
  margin: auto;
  cursor: pointer;
}

.toggle span {
  position: relative;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  align-self: center;
  font-size: 0;
  width: 36px;
  height: 2px;
  background-color: #ededed;
  border-radius: 100px;
  -webkit-transition: background-color 0.2s ease-out;
  transition: background-color 0.2s ease-out;
}

.toggle span:before, .toggle span:after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #ededed;
  border-radius: 100px;
  -webkit-transition: -webkit-transform .2s ease-out;
  transition: -webkit-transform .2s ease-out;
  transition: transform .2s ease-out;
  transition: transform .2s ease-out, -webkit-transform .2s ease-out;
}

.toggle span:before { bottom: calc(100% + 6px); }

.toggle span:after { top: calc(100% + 6px); }

.is-visible .toggle span { background-color: transparent; }

.is-visible .toggle span:before {
  bottom: auto;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.is-visible .toggle span:after {
  top: auto;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

.visually-hidden {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}
.line-top {
  border-top: 1px solid rgb(50,150,200);
}
.logo {
  position: fixed;
  top: 0;
  left: 0;
  height: 30vmin;
  width: 24%;
  background: rgb(50,150,200);
  z-index: 1;
}
.logo-img, .logo-img a {
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.logo-img a img {
  width: 50%;
  overflow: hidden;
}
.logo-img p {
  overflow: hidden;
  color: rgb(0,0,0);
  text-align: center;
  font-size: 0.9rem;
  padding: 0.6em;
}
.logo-adaptiv {
  position: relative;
  height: 20vmin;
  width: 100%;
}
.present {
  position: fixed;
  left: 1.5em;
  bottom: 1.9em;
  color: rgb(255,255,255);
  font-size: 0.7rem;
  text-indent: 3px;
  letter-spacing: 3px;
  text-transform: uppercase;
  z-index: 3;
}
.present a {
  color: rgb(255,255,255);
  font-size: 0.7rem;
}
.present-info {
  position: relative;
}

.arrow span {
    position: absolute;
    display: inline-block;
    width: 17px;
    height: 17px;
    border-bottom: 2px solid rgb(50,150,200);
    border-right: 2px solid rgb(50,150,200);
    transform: rotate(135deg);
    margin-left: 100px;
    margin-top: 20px;
    animation: arrow-anime 2s infinite;
}
@keyframes arrow-anime {
    0%{
        opacity: 0;
        transform: rotate(135deg) translate(-20px,-20px);
    }
    50%{
        opacity: 1;
    }
    100%{
        opacity: 0;
        transform: rotate(135deg) translate(20px,20px);
    }
}
.arr-none {
  display: none;
}
@media screen and (max-width: 45em) {
ul {
  height: calc(100vh - 60px - 25vmin);
}
.calculat ul {
  height: calc(100vh - 60px);
}
.logo {
  width: 100%;
  height: 25vmin;
  }
.logo-img a img {
  width: 22%;
  height: auto; 
  }
.logo-img p {
  font-size: 0.7rem;
  padding: 0.2em;
  }
.logo-none {
    display: none;
  }
.screen {
  width: 100%;
  top: 25vmin;
  height: auto;
  overflow: visible;
  }
.screen-top-0 {
  top: 0;
}
.present, .present a {
  font-size: 0.6rem;
  }
}